Subject: Re: bug#32592: heap-use-after-free in regex module

From: Assaf Gordon <[email-masked]>
Date: Thu, 6 Sep 2018 02:02:08 -0600

Thank you all for the review and comments.

On Thu, Sep 6, 2018 at 1:18 AM, Paul Eggert <[email-masked]> wrote:
> What a coincidence that we would find two bugs right next to each other,
> huh?...
>
> I filed a bug report against glibc, and unless there's an objection I would
> like to fix both bugs in glibc and propagate the fix into gnulib. Please see
> the glibc bug here:
>
> https://sourceware.org/bugzilla/show_bug.cgi?id=23609

Speaking of coincidences,
I just found this use-after-free bug was already reported (but not fixed)
back in 2015: https://sourceware.org/bugzilla/show_bug.cgi?id=18040 .

regards,
 - assaf